Bug 587473 - SELinux is preventing /sbin/shutdown "signull" access .
SELinux is preventing /sbin/shutdown "signull" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:8ab3e8e38a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 21:00 EDT by Aleksey
Modified: 2010-07-06 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-33.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-06 13:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey 2010-04-29 21:00:32 EDT
Summary:

SELinux is preventing /sbin/shutdown "signull" access .

Detailed Description:

[shutdown has a permissive type (shutdown_t). This access was not denied.]

SELinux denied access requested by shutdown. It is not expected that this access
is required by shutdown and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:shutdown_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:shutdown_t:s0-s0:c0.c102
                              3
Target Objects                None [ process ]
Source                        shutdown
Source Path                   /sbin/shutdown
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           upstart-0.6.5-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-6.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.2-57.fc13.i686.PAE #1 SMP Tue
                              Apr 20 08:58:17 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Fri 30 Apr 2010 01:23:19 AM UZT
Last Seen                     Fri 30 Apr 2010 01:23:48 AM UZT
Local ID                      9ea610e8-8581-4c27-8210-6238ff61f4e1
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272572628.924:21630): avc:  denied  { signull } for  pid=5896 comm="shutdown" scontext=system_u:system_r:shutdown_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:shutdown_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1272572628.924:21630): arch=40000003 syscall=37 success=yes exit=0 a0=1391 a1=0 a2=8f33394 a3=8f33390 items=0 ppid=5895 pid=5896 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="shutdown" exe="/sbin/shutdown" subj=system_u:system_r:shutdown_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,shutdown,shutdown_t,shutdown_t,process,signull
audit2allow suggests:

#============= shutdown_t ==============
allow shutdown_t self:process signull;
Comment 1 Daniel Walsh 2010-04-30 16:48:53 EDT
Fixed in selinux-policy-3.7.19-11.fc13
Comment 2 Fedora Update System 2010-05-06 16:50:26 EDT
selinux-policy-3.7.19-13.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-13.fc13
Comment 3 Fedora Update System 2010-05-07 01:48:58 EDT
selinux-policy-3.7.19-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-13.fc13
Comment 4 Fedora Update System 2010-06-30 15:55:28 EDT
selinux-policy-3.7.19-33.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 5 Fedora Update System 2010-07-01 14:49:26 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-33.fc13
Comment 6 Fedora Update System 2010-07-06 13:07:47 EDT
selinux-policy-3.7.19-33.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.